Statistics
AI usage and cost
GET
AI usage and cost by feature, model and agent (owner/admin).
bearer stats:readheader
AuthorizationBearer <token>API key (rsl_live_…) from Settings → Developers.
Scope: stats:read
from?stringStart of the period, ISO 8601 date or datetime (e.g. 2026-10-01). Default: 30 days ago.
to?stringEnd of the period, ISO 8601 date or datetime. Default: now.
Success
application/json- response
period*totals*resolvedConversations*numberbyFeature*array<>byModel*array<>byAgent*array<>daily*array<>curl -X GET "https://example.com/stats/usage"{ "period": { "start": 0, "end": 0 }, "totals": { "requests": 0, "totalTokens": 0, "costUsd": 0 }, "resolvedConversations": 0, "byFeature": [ { "requests": 0, "totalTokens": 0, "costUsd": 0, "feature": "string" } ], "byModel": [ { "requests": 0, "totalTokens": 0, "costUsd": 0, "model": "string" } ], "byAgent": [ { "requests": 0, "totalTokens": 0, "costUsd": 0, "agentId": "string", "agentName": "string" } ], "daily": [ { "requests": 0, "totalTokens": 0, "costUsd": 0, "day": "string" } ]}